Name:           celestia
Version:        1.3.0
Release:        0.fdr.4.1
Epoch:          0
Summary:        An OpenGL real-time visual space simulation

Group:          Amusements/Graphics
License:        GPL
Source0:        http://download.sourceforge.net/celestia/celestia-1.3.0.tar.gz
Source1:        http://www.shatters.net/celestia/files/minormoons.ssc
Source2:        http://www.shatters.net/celestia/files/numberedmoons.ssc
Source3:        celestia.desktop
Patch0:         celestia-1.3.0-freeglut.patch
Patch1:         celestia-1.3.0-linkorder.patch
URL:            http://www.shatters.net/celestia/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  freeglut-devel
BuildRequires:  gtk+-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-libs-devel
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gtkglarea

%description
Celestia is a free real-time space simulation that lets you experience our
universe in three dimensions. Unlike most planetarium software, Celestia
doesn't confine you to the surface of the Earth. You can travel throughout
the solar system, to any of over 100,000 stars, or even beyond the galaxy.
All travel in Celestia is seamless; the exponential zoom feature lets you
explore space across a huge range of scales, from galaxy clusters down to
spacecraft only a few meters across. A 'point-and-goto' interface makes it
simple to navigate through the universe to the object you want to visit.

%prep
%setup -q
%patch0 -p1 -b .freeglut
%patch1 -p2 -b .linkorder

%build
aclocal -I macros
automake
autoconf
%configure --with-gtk
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -p -m 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_datadir}/celestia/extras/minormoons.ssc
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/celestia/extras/numberedmoons.ssc
install -p -m 644 -D src/celestia/kde/data/hi48-app-celestia.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/celestia.png
rm $RPM_BUILD_ROOT%{_datadir}/celestia/{controls.txt,COPYING}
rm -r $RPM_BUILD_ROOT%{_datadir}/celestia/manual

desktop-file-install \
  --vendor fedora                                          \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications            \
  --add-category X-Fedora                                  \
  --add-category Application                               \
  --add-category Graphics                                  \
  %{SOURCE3}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO controls.txt manual/*.html manual/*.css
%{_bindir}/*
%{_datadir}/applications/*celestia.desktop
%{_datadir}/celestia
%{_datadir}/pixmaps/celestia.png

%changelog
* Thu Nov 27 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:1.3.0-0.fdr.4
- Added build req gtkglarea (bug 740).

* Thu Nov 27 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:1.3.0-0.fdr.3
- Added Encoding=UTF-8 to desktop file (bug 740).
- Added work-around for linking problems on FC1 (bug 740).
- Updated {minor,numbered}moons.asc (bug 740).

* Wed Oct  8 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:1.3.0-0.fdr.2
- Replaced source tarball with proper release tarball.
- Added BuildRequires gnome-libs-devel for gnomeConf.sh.
- Build with freeglut instead of glut.

* Wed Sep 17 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:1.3.0-0.fdr.1
- Initial Fedora RPM release.

* Thu Apr 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.3.0.
- Added numberedmoons.ssc addon.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Tue Jan 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.5.
- Included "Minor Moons of the Giant Planets" extra file.
- New icon from the KDE part of the source.

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- New style menu entry.

* Wed Jul  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt to remove the NVidia dependency (oops!).

* Wed May 15 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Sorry, I'm a maniac ;-)

* Tue May 14 2002 Julien MOUTTE <julien@moutte.net>
- Initial RPM release.

